# mini.css
## A minimal Sass-y responsive mobile-first style-agnostic CSS framework

![Demo page](/docs/demo.png)

You can learn all about using it, its modules and components, as well as see a live demo [here](https://chalarangelo.github.io/mini.css/).

## Setup

**mini.css** is available in both Bowser and NPM:

    bowser install mini.css

    npm install mini.css


To give **mini.css** a try using the default flavor, paste the following code inside your HTML page's `<head>` tag:

	<link rel="stylesheet" href="https://cdn.rawgit.com/Chalarangelo/mini.css/1.0.1/flavors/mini-default.min.css">

Alternatively, you can use one of the other [flavors](https://github.com/Chalarangelo/mini.css/tree/master/flavors). Simply replace the final part of the URL with the flavor's CSS file (minified or not) and you're good to go!

## Customization

If you want to develop your own flavor or tweak an existing one, head over to the [SCSS](https://github.com/Chalarangelo/mini.css/tree/master/scss) folder, grab all the files and open the [flavor.scss](https://github.com/Chalarangelo/mini.css/blob/master/scss/flavor.scss) file to start building your own flavor. 

If you want to know all about the framework, the mixins and the variables, check the [wiki](https://github.com/Chalarangelo/mini.css/wiki). 

## License

The project is licensed under the [MIT License](https://github.com/Chalarangelo/mini.css/blob/master/LICENSE).